<?php
session_start();
ob_start();
if ($_SESSION['islogin']=='' ) { 
  echo "ΠΡΕΠΕΙ ΝΑ ΕΓΓΡΑΦΕΙΤΕ ΓΙΑ ΝΑ ΧΡΗΣΙΜΟΠΟΙΗΣΕΤΕ ΤΟ ΣΥΣΤΗΜΑ"."<BR>";
  sleep(3);
  header("Location: loginall.php"); /* Redirect browser */
  exit();
  }
$menu = $_SESSION['menu'];
include $menu;
?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
</head>

<body>
<br />	<br />
<h2>ΔΙΟΡΘΩΣΗ ΑΠΟΥΣΙΩΝ ΕΚΔΗΛΩΣΗΣ</h2>
<br />	<br />

<?php
require "dbconnect.php"; 
$dt=$_SESSION['dt'];
$sql = "SELECT onoma,code,date FROM ekdilosi WHERE katddk<>0 AND date <= '$dt' order by date desc";
$result = mysqli_query($con,$sql);
if (mysqli_connect_errno($con))  {echo "Failed to connect to MySQL: " . mysqli_connect_error();} 

?>
<h4> ΕΠΕΛΕΞΕ ΕΚΔΗΛΩΣΗ ΓΙΑ ΔΙΑΓΡΑΦΗ ΑΠΟΥΣΙΩΝ</h4>
<form  method="post" > 
<?php
echo "<select name='ekdcode'>";
while ($row = mysqli_fetch_array($result)) 
{
	$ekdilo[$i]=$row['onoma'];
	$code[$i]=$row['code'];$dat= date('d-m-Y', strtotime($row['date']));
   	echo "<option value ='".$code[$i]."'>".$dat." / ".$ekdilo[$i]." (".$code.") "."</option>";
	$i++;
}
echo "</select>";
?>	
<input type="Submit" name="submit" value="Διαγραφή Απουσιών Δραστηριότητας" 
       onClick='return confirm("Να προχωρήσει η διαγραφή των απουσιών;")'  >
<input type="Submit" name="submitdel" value="Διαγραφή Δραστηριότητας" 
       onClick='return confirm("Να προχωρήσει η διαγραφή της Δραστηριότητας;")'  >
</form>	

<?php

if (isset($_POST['submit']))
{
$code=$_POST['ekdcode'];

$sql = mysqli_query($con,"SELECT pmp from ekdilosistu WHERE code='$code' ");

while ($row = mysqli_fetch_array($sql)) 
{
	$pmp=$row['pmp'];
	mysqli_query($con,"DELETE FROM apousies WHERE mitroo='$pmp' AND dateout ='$dt' ");
	
}
}
if (isset($_POST['submitdel']))
    {
       $code=$_POST['ekdcode'];echo $code;
       mysqli_query($con,"DELETE FROM ekdilosi WHERE code='$code' ");
    }		

?>
<br />	<br />	<br />	<br />
<a  href=<?php echo $menu;?> style="color:blue "  > <button> Επιστροφή στο Μενού   </a>
</body>
</html>